com.taosdata.jdbc.ws.loadbalance

## Enum StepEnum

- java.lang.Object
- - java.lang.Enum<StepEnum>
  - - com.taosdata.jdbc.ws.loadbalance.StepEnum

All Implemented Interfaces:
  Serializable, Comparable<StepEnum>

    public enum StepEnum
    extends Enum<StepEnum>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSE`
`CON_CMD`
`CONNECT`
`FETCH`
`FETCH2`
`FINISH`
`FREE_RESULT`
`QUERY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `get()`
`static String` `getNameByInt(int step)`
`static StepEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StepEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final StepEnum CONNECT

#### CON_CMD

    public static final StepEnum CON_CMD

#### QUERY

    public static final StepEnum QUERY

#### FETCH

    public static final StepEnum FETCH

#### FETCH2

    public static final StepEnum FETCH2

#### FREE_RESULT

    public static final StepEnum FREE_RESULT

#### CLOSE

    public static final StepEnum CLOSE

#### FINISH

    public static final StepEnum FINISH

### Method Detail

#### values

    public static StepEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StepEnum c : StepEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StepEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public int get()

#### getNameByInt

    public static String getNameByInt(int step)